# slidev-theme-alpaga

Alpaga is a simple and quick to set up theme for [Slidev](https://github.com/slidevjs/slidev). It's ideal for Markdown notes, booklets or cheatsheets as you can easily customize it to your business colors and identity and export to PDF. 

[![NPM version](https://img.shields.io/npm/v/slidev-theme-slidev-theme?color=3AB9D4&label=)](https://www.npmjs.com/package/slidev-theme-slidev-theme)

Alpaga theme for [Slidev](https://github.com/slidevjs/slidev).

## Install

Add the following frontmatter to your `slides.md`. Start Slidev then it will prompt you to install the theme automatically.

<pre><code>---
theme: <b>alpaga</b>
---</code></pre>

Learn more about [how to use a theme](https://sli.dev/themes/use).

## Customization

### Theme and colors 

The color schema and the general colors are customisable in the frontmatter with `colorSchema` and `themeConfig` respectively.
```
colorSchema: 'dark'
themeConfig:
  primary: '#00FF7F'
  secondary: '#66CDAA'
  code: 'black'
```
You can change the code colors independantly of the theme so it is always adapted to the code snippets background color. 

### Overlay Configuration

You can configure the overlay in the frontmatter as well.
```
themeConfig:
  subtitle: "Slidev Alpaga Theme"
  logoSrc: "/img/dummy-logo.png"
  licenseImg: "/img/license.png"
  author: "Celeste"
  version: "0.1"
```

### Fonts 

The fonts are customizable in your slides frontmatter as well, it will automatically import [Google Fonts](https://fonts.google.com/), you just have to type the name in. 
If you wish to use local fonts see [this documentation](https://sli.dev/custom/fonts.html#local-fonts)


```
fonts:
  sans: 'Montserrat'
  serif: 'Comfortaa'
  mono: 'Fira Code'
```

## Contributing

- `npm install`
- `npm run dev` to start theme preview of `example.md`
- Edit the `example.md` and style to see the changes
- `npm run export` to generate the preview PDF
- `npm run screenshot` to generate the preview PNG

## License

[![slidev-theme-alpaga Copyright 2023 Lydra](https://www.gnu.org/graphics/gplv3-with-text-136x68.png)](https://choosealicense.com/licenses/gpl-3.0/)
